List All Programs Associated with a Subdomain

Retrieve a list of all the program documents at a given subdomain. You may also filter your results by providing a valid code or categoryId to only return programs associated with these filter parameters. You may also search against program names with the search parameter. Valid query keys are: categoryId, code, fields, limit, search, and offset.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The name of the client subdomain.

Query Params
string

List all programs associated with a single category or comma separated list of categories, ?categoryId=test-category-one,test-category-two.

string

Returns only programs that belong to the specific institution.

string

(if applicable) comma-separated list of geo-codes. If applied, only programs associated with institutions whose regions include the at least one of the geo-codes will be returned.

string

(if applicable) A program code or comma-separated list of codes to query programs by. This is decoupled from name and credential unlike slug.

string

A comma-delimited list of program fields (in Kebab/dash-case) to filter the response with. Valid field values are application-link, careers, categories, credential, cip, code, credits, institution-id, length, length-unit, locations, name, request-info-email, transfers, tuition-link, tuition-range, url, slug, subdomain

string

Filters results by a search against program names.

string
Defaults to name

A comma-delimited list of program attributes (in Kebab/dash-case) to search against. Used in conjunction with search. Valid searchField values are application-link,careers,credential,cip,code,credits,institution-id,length,length-unit,locations,name,request-info-email,transfers,tuition-link,tuition-range,url.

integer
≥ 0
Defaults to 0

(for pagination); The number of results to skip over. For instance, ?offset=5 means the first 5 results would be omitted.

integer
1 to 1000
Defaults to 50

(for pagination); The total number of results to return. The max is 1000. For instance, ?limit=10 means the result set is limited to 10 results. Used in conjunction with offset, you can slice the result set, e.g. ?offset=20&limit=10 would give you results 21-31.

string

Sort by createdAt, credential, cip, code, credits, institutionId, name, requestInfoEmail, tuitionLink, updatedAt, url in ascending or descending order. Terms must be camelcased. To sort with multiple terms use a , to separate the terms. To order by descending place a - in front of the term. For instance, ?sort=credential,-name will sort by credential ascending and then name descending.

Responses

Language
Credentials
OAuth2
Missing 1 required scope
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json